cutlass::multiply_add< Array< half_t, N >, Array< half_t, N >, Array< half_t, N > > Struct Template Reference

Fused multiply-add.

`#include <functional.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE Array< half_t, N > | operator() (Array< half_t, N > const &a, Array< half_t, N > const &b, Array< half_t, N > const &c) const
CUTLASS_HOST_DEVICE Array< half_t, N > | operator() (half_t const &a, Array< half_t, N > const &b, Array< half_t, N > const &c) const
CUTLASS_HOST_DEVICE Array< half_t, N > | operator() (Array< half_t, N > const &a, half_t const &b, Array< half_t, N > const &c) const
CUTLASS_HOST_DEVICE Array< half_t, N > | operator() (Array< half_t, N > const &a, Array< half_t, N > const &b, half_t const &c) const

## Member Function Documentation

template<int N>

CUTLASS_HOST_DEVICE Array<half_t, N> cutlass::multiply_add< Array< half_t, N >, Array< half_t, N >, Array< half_t, N > >::operator() | ( | Array< half_t, N > const & | a,
|  | Array< half_t, N > const & | b,
|  | Array< half_t, N > const & | c
| ) |  | const

inline

template<int N>

CUTLASS_HOST_DEVICE Array<half_t, N> cutlass::multiply_add< Array< half_t, N >, Array< half_t, N >, Array< half_t, N > >::operator() | ( | half_t const & | a,
|  | Array< half_t, N > const & | b,
|  | Array< half_t, N > const & | c
| ) |  | const

inline

template<int N>

CUTLASS_HOST_DEVICE Array<half_t, N> cutlass::multiply_add< Array< half_t, N >, Array< half_t, N >, Array< half_t, N > >::operator() | ( | Array< half_t, N > const & | a,
|  | half_t const & | b,
|  | Array< half_t, N > const & | c
| ) |  | const

inline

template<int N>

CUTLASS_HOST_DEVICE Array<half_t, N> cutlass::multiply_add< Array< half_t, N >, Array< half_t, N >, Array< half_t, N > >::operator() | ( | Array< half_t, N > const & | a,
|  | Array< half_t, N > const & | b,
|  | half_t const & | c
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- functional.h